﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Core
{
    public static class BufferJointer
    {
        /// <summary>
        /// 拼接二进制数组
        /// </summary>
        /// <param name="buffer1"></param>
        /// <param name="buffer2"></param>
        /// <returns></returns>
        public static byte[] Joint(byte[] buffer1, byte[] buffer2)
        {
            byte[] bufferWhole = new byte[buffer1.Length + buffer2.Length];
            Buffer.BlockCopy(buffer1, 0, bufferWhole, 0, buffer1.Length);
            Buffer.BlockCopy(buffer2, 0, bufferWhole, buffer1.Length, buffer2.Length);
            return bufferWhole;
        }

        public static byte[] Joint(byte[] buffer1, byte[] buffer2, byte[] buffer3)
        {
            return BufferJointer.Joint(BufferJointer.Joint(buffer1, buffer2), buffer3);
        }

        public static byte[] Joint(byte[] buffer1, byte[] buffer2, byte[] buffer3, byte[] buffer4)
        {
            return BufferJointer.Joint(BufferJointer.Joint(buffer1, buffer2, buffer3), buffer4);
        }

        public static byte[] Joint(byte[] buffer1, byte[] buffer2, byte[] buffer3, byte[] buffer4, byte[] buffer5, byte[] buffer6)
        {
            return BufferJointer.Joint(BufferJointer.Joint(buffer1, buffer2, buffer3, buffer4), buffer5, buffer6);
        }     
    }
}
